Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 593914 - RFE: virt-manager: Allow user to specify cache policy for disk devices
Summary: RFE: virt-manager: Allow user to specify cache policy for disk devices
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: virt-manager
Version: 5.6
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Cole Robinson
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-20 03:20 UTC by Andrew Cathrow
Modified: 2014-09-07 22:53 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
: 594080 (view as bug list)
Environment:
Last Closed: 2011-03-10 16:19:17 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Andrew Cathrow 2010-05-20 03:20:35 UTC
We need the ability for a user to specify the cache mechanism used by each virtual disk device.

The user should be able to select between "no cache", "writethrough" and "writeback' where no-cache should be the default.

Comment 2 RHEL Product and Program Management 2010-08-09 19:17:42 UTC
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated in the
current release, Red Hat is unfortunately unable to address this
request at this time. Red Hat invites you to ask your support
representative to propose this request, if appropriate and relevant,
in the next release of Red Hat Enterprise Linux.

Comment 3 Cole Robinson 2010-08-31 14:21:05 UTC
Upstream virt-manager has this functionality, but it isn't feasible to backport to RHEL5 so would require a rebase. Since that's not on the books for 5.6, deferring to 5.7

Comment 5 RHEL Product and Program Management 2011-01-11 20:48:57 UTC
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated in the
current release, Red Hat is unfortunately unable to address this
request at this time. Red Hat invites you to ask your support
representative to propose this request, if appropriate and relevant,
in the next release of Red Hat Enterprise Linux.

Comment 6 RHEL Product and Program Management 2011-01-12 15:17:05 UTC
This request was erroneously denied for the current release of
Red Hat Enterprise Linux.  The error has been fixed and this
request has been re-proposed for the current release.

Comment 7 Cole Robinson 2011-03-10 16:19:17 UTC
Since I doubt we will ever be rebasing virt-manager/virtinst in RHEL5 again, and this backport would be pretty painful, I'm closing this as WONTFIX. Users will just have to manually edit the XML to change cache values.

If this isn't sufficient, please reopen.


Note You need to log in before you can comment on or make changes to this bug.